Bug 270133 - Add "suspend I/O checks button" into standard distribution
Add "suspend I/O checks button" into standard distribution
Status: RESOLVED FIXED
Product: ide
Classification: Unclassified
Component: UI
Dev
PC Linux
: P1 (vote)
: Dev
Assigned To: Jaroslav Tulach
issues@ide
: API_REVIEW_FAST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-03-20 12:56 UTC by Jaroslav Tulach
Modified: 2017-03-29 01:43 UTC (History)
5 users (show)

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Tulach 2017-03-20 12:56:18 UTC
The existing [suspend I/O check button](http://wiki.netbeans.org/MasterFileSystemSuspend) turned out very useful when working with [mx based projects](http://github.com/graalvm/) and as such I'd like to propose it as a standard module for NetBeans.

Of course, the functionality may not be of interest of every user, and as such I suggest to register the module icon into "Performance" toolbar which is hidden by default.

There already is "masterfs.ui" module - I propose to put the action into it.
Comment 1 Jaroslav Tulach 2017-03-20 13:56:40 UTC
The code is located here:
http://hg.netbeans.org/ergonomics/rev/1097bed01dfd
In addition to previous version of the action, this one also remembers the previous state after restart.
Comment 2 Jaroslav Tulach 2017-03-23 16:18:16 UTC
No comments so far. Unless there are some objections, I integrate tomorrow.
Comment 3 Tomas Zezula 2017-03-23 17:15:31 UTC
OK for me.
Comment 4 Jaroslav Tulach 2017-03-28 07:29:42 UTC
Merged as http://hg.netbeans.org/core-main/rev/f1602d54bbc9
Comment 5 Quality Engineering 2017-03-29 01:43:35 UTC
Integrated into 'main-silver', will be available in build *201703290002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/1097bed01dfd
User: Jaroslav Tulach <jtulach@netbeans.org>
Log: #270133: Adding Suppend I/O button into Performance toolbar


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo